Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.graph.filters
Class EdgePredicateFilter

    java.lang.Object
      edu.uci.ics.jung.graph.filters.GeneralEdgeAcceptFilter
          edu.uci.ics.jung.graph.filters.EdgePredicateFilter

All Implemented Interfaces:
  Filter

public class EdgePredicateFilter
extends GeneralEdgeAcceptFilter

This is a simple Edge filter that accepts the edges which its Predicate accepts.

Author:
  danyelf

Field Summary
`protected Predicate` | `predicate`

Constructor Summary
`EdgePredicateFilter(EdgePredicate ep)`
`EdgePredicateFilter(Predicate p)`

Method Summary
`boolean` | `acceptEdge(Edge e)` Determines whether the current edge should be accepted into the Graph.
`String` | `getName()` Gets a name that describes this filter.

Methods inherited from class edu.uci.ics.jung.graph.filters.GeneralEdgeAcceptFilter
`filter, filter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### predicate

    protected Predicate predicate

Constructor Detail

### EdgePredicateFilter

    public EdgePredicateFilter(EdgePredicate ep)

### EdgePredicateFilter

    public EdgePredicateFilter(Predicate p)

Method Detail

### acceptEdge

    public boolean acceptEdge(Edge e)

  Description copied from class: `GeneralEdgeAcceptFilter`
  Determines whether the current edge should be accepted into the Graph. User should override this method.

  Specified by:
    `acceptEdge` in class `GeneralEdgeAcceptFilter`
  Parameters:
    `e` - the input edge that is being evaluated.
  Returns:
    whether the edge should be accepted or not
  See Also:
    `GeneralVertexAcceptFilter.acceptVertex(edu.uci.ics.jung.graph.Vertex)`

### getName

    public String getName()

  Description copied from interface: `Filter`
  Gets a name that describes this filter. It is used by the auditing methods in ``GraphAssemblyRecord``

  Returns:
    A string that describes the filter.
  See Also:
    `Filter.getName()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD